## NAME

v.what.rast3 - Uploads 3D raster values at positions of vector points to the table.

## KEYWORDS

vector, sampling, raster, position, querying, attribute table, surface information

## SYNOPSIS

v.what.rast3
v.what.rast3 --help
v.what.rast3 map=name [layer=string] raster_3d=name column=name [where=sql_query] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector points map for which to edit attributes
  Or data source for direct OGR access
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
raster_3d=name [required]
  Name of existing 3D raster map to be queried
column=name [required]
  Name of attribute column to be updated with the query result
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000

## DESCRIPTION

v.what.rast3 reads 3D raster value for each point in the vector and updates col column in vector attribute table by this value. The column should be type double. This module is based on v.what.rast.
If more points have the same category, attribute value is set to NULL. If 3D raster values is NULL, attribute value is set to NULL.

## NOTES

## EXAMPLES

A) Reading values from 3D raster map at position of vector points, writing these values into a column of the attribute table connected to the vector map:

    v.what.rast3 map=pnts raster3d=plume column=concentration

B) In case of a vector map without attached attribute table, first add a new attribute table. This table is then populated with values queried from the raster map:

    # create new random 3d vector points map
    v.random -z output=pnts npoints=100 zmin=0  zmax=50

    # add new table, link to map
    v.db.addtable map=pnts column="concentration double precision"

    # query raster map and upload values to vector table into specified column
    g.region raster3d=plume -p
    v.what.rast3 map=pnts raster3d=plume column=concentration

    # verify new attribute table:
    v.db.select map=pnts

    # verify statistics of uploaded values:
    v.univar map=pnts column=concentration type=point

## SEE ALSO

v.db.addtable, v.db.select, v.what.rast, v.what.vect, v.univar

## AUTHOR

Soeren Gebbert, heavily based on v.what.rast by Radim Blazek

Last changed: $Date$

## SOURCE CODE

Available at: v.what.rast3 source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual